Page MenuHomePhabricator

[Task] Implement RDF serialization for lexemes and forms
Closed, ResolvedPublic

Description

RDF serialization should be implemented in WikibaseLexeme in LexemeRdfBuilder

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRefactor entity resolution to allow more flexibility
mediawiki/extensions/WikibaseLexeme : masterUses EntityMentionListener::subEntityMentioned to properly serialize Forms and Senses
mediawiki/extensions/Wikibase : masterAllows EntityRdfBuilders to ask for other entities to be serialized
mediawiki/extensions/WikibaseLexeme : masterFix labels for Lexemes
mediawiki/extensions/WikibaseLexeme : masterImplements RDF mapping of lexemes and forms including stubs

Related Objects

Event Timeline

Tpt created this task.May 19 2018, 10:34 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 19 2018, 10:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tpt renamed this task from [Task] Implement RDF serialization for lexemes to [Task] Implement RDF serialization for lexemes and forms.May 19 2018, 10:34 AM

Change 433953 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/WikibaseLexeme@master] Beginning of implementation of lexemes and forms RDF serialization

https://gerrit.wikimedia.org/r/433953

Lydia_Pintscher triaged this task as Medium priority.May 27 2018, 5:56 PM

Change 433953 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Implements RDF mapping of lexemes and forms including stubs

https://gerrit.wikimedia.org/r/433953

Is there anything left to be done in this task? It looks to me like it might be done already :)

Tpt added a comment.Jun 19 2018, 2:50 PM

There is still to implement output of forms statements when the RDF representation of a lexeme is requested (i.e. Special:EntityData/L42.ttl) and the schema:inLanguage relation for lexemes.

While may be not strictly part of this task, has the question of dumps been covered? I.e. are lexemes supposed to be dumped together with other items, or in separate dump? Is there a task for setting that up, or it's supposed to happen automagically?

Vvjjkkii renamed this task from [Task] Implement RDF serialization for lexemes and forms to gpcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from gpcaaaaaaa to [Task] Implement RDF serialization for lexemes and forms.Jul 2 2018, 12:52 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 449718 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/WikibaseLexeme@master] Implements RDF mapping of senses including stubs

https://gerrit.wikimedia.org/r/449718

Can we close this when the Senses support is handled in T200901? Or is there something else missing here?

Tpt added a comment.Aug 2 2018, 5:26 PM

There is still one feature missing: outputting statements on form and senses when the RDF representation of a lexeme is required (e.g. on Special:EntityData/L12.nt).

outputting statements on form and senses when the RDF representation of a lexeme is required

This would be important for WDQS integration too. Also, I understand it's still disabled on both wikidata and test.wikidata. We may want to enable it at least of test.wikidata for testing?

Tpt added a comment.Aug 2 2018, 5:31 PM

Also, I understand it's still disabled on both wikidata and test.wikidata.

It seems to be enabled now : https://www.wikidata.org/entity/L42.nt

Weird, when I try .ttl it says:

RDF export is disabled for this type of entity: lexeme.

Change 451012 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/Wikibase@master] Allows EntityRdfBuilders to ask for other entities to be serialized

https://gerrit.wikimedia.org/r/451012

Change 451234 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/WikibaseLexeme@master] Uses EntityMentionListener::subEntityMentioned to properly serialize Forms and Senses

https://gerrit.wikimedia.org/r/451234

Change 454182 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Refactor entity resolution to allow more flexibility

https://gerrit.wikimedia.org/r/454182

Change 455252 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Fix labels for Lexemes

https://gerrit.wikimedia.org/r/455252

Change 455252 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix labels for Lexemes

https://gerrit.wikimedia.org/r/455252

Change 451012 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allows EntityRdfBuilders to ask for other entities to be serialized

https://gerrit.wikimedia.org/r/451012

Change 451234 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Uses EntityMentionListener::subEntityMentioned to properly serialize Forms and Senses

https://gerrit.wikimedia.org/r/451234

Smalyshev closed this task as Resolved.Sep 20 2018, 11:35 PM
Smalyshev claimed this task.

I think this is done.

Change 454182 abandoned by Smalyshev:
Refactor entity resolution to allow more flexibility

Reason:
Not going this direction

https://gerrit.wikimedia.org/r/454182